import { ReactNode } from "react";
import ArticleLayout from "@/app/components/ArticleLayout";
import { BreadcrumbItem } from "@/app/components/Breadcrumb";
import ArticleWithBreadcrumb from "@/app/components/ArticleWithBreadcrumb";

const breadcrumb: BreadcrumbItem[] = [
  { title: "首页", href: "/" },
  { title: "公告通知", href: "/announcements/pages/1" },
];

const Layout = ({ children }: { children: ReactNode }) => {
  return (
    <ArticleLayout navigations={[]} leftNavTitle={"公告通知"}>
      <ArticleWithBreadcrumb breadcrumb={breadcrumb}>
        {children}
      </ArticleWithBreadcrumb>
    </ArticleLayout>
  );
};

export default Layout;
