import { ReactNode } from "react";
import ArticleLayout from "@/app/components/ArticleLayout";
import Breadcrumb, { BreadcrumbItem } from "@/app/components/Breadcrumb";
import ArticleWithBreadcrumb from "@/app/components/ArticleWithBreadcrumb";

const breadcrumb: BreadcrumbItem[] = [
  { title: "首页", href: "/" },
  { title: "媒体扫描", href: "/media-scan/pages/1" },
];
const Layout = ({ children }: { children: ReactNode }) => {
  return (
    <ArticleLayout navigations={[]} leftNavTitle={"媒体扫描"}>
      <ArticleWithBreadcrumb breadcrumb={breadcrumb}>
        {children}
      </ArticleWithBreadcrumb>
    </ArticleLayout>
  );
};

export default Layout;
