import React, { ReactNode } from "react";
import ArticleWithBreadcrumb from "@/app/components/ArticleWithBreadcrumb";
import { BreadcrumbItem } from "@/app/components/Breadcrumb";

const breadcrumb: BreadcrumbItem[] = [
  { title: "首页", href: "/" },
  {
    title: "成果转化服务",
    href: "/achievements-transformation/government-policy",
  },
  {
    title: "投融资",
    href: "/achievements-transformation/investment-and-financing",
  },
];
const Layout = ({ children }: { children: ReactNode }) => {
  return (
    <ArticleWithBreadcrumb breadcrumb={breadcrumb}>
      {children}
    </ArticleWithBreadcrumb>
  );
};

export default Layout;
