import React, { ReactNode } from "react";
import Breadcrumb from "@/app/components/Breadcrumb";

const breadcrumb = [
  { href: "/", title: "首页" },
  { href: "/organization/overview", title: "机构设置" },
  { href: "/organization/func-dep/general-office", title: "职能部门" },
  { href: "/organization/func-dep/industry", title: "产业处" },
];

const Layout = ({ children }: { children: ReactNode }) => {
  return (
    <div className={"flex flex-col h-full"}>
      <Breadcrumb navigations={breadcrumb} />
      <div className={"bg-white px-5 py-4 flex-1 mt-2"}>{children}</div>
    </div>
  );
};

export default Layout;
