import type { Metadata } from "next";
import { Inter } from "next/font/google";
import "./globals.css";
import Link from "next/link";
import footer from "@/app/assets/footer.jpg";
import Image from "next/image";
import banner from "@/app/assets/banner.jpg";
import { ReactNode } from "react";
import MainNav from "@/app/components/MainNav";

const inter = Inter({ subsets: ["latin"] });

export const metadata: Metadata = {
  title: "中国科学院重庆绿色智能技术研究院合肥分院",
  description: "Generated by create next app",
};

export default function RootLayout({ children }: { children: ReactNode }) {
  return (
    <html lang="en">
      <body className={inter.className}>
        <main className={"w-[1000px] m-auto"}>
          <Image className={"w-full"} src={banner} alt={"banner"} />
          <MainNav />
          {children}
          <Image src={footer} alt={"footer"} className={"mt-4"} />
        </main>
      </body>
    </html>
  );
}
